Alya - Task #18088

Implement job manager for slow queries and batches
05/03/2024 04:08 PM - Shuvam Misra

Status: Closed Start date: 05/03/2024
Priority: Normal Due date: 15/03/2024
Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Mar

Description

Implement the embedded sub-system which runs within Alya as an asynchronous thread and fires processing functions for batches
and slow queries.

Related issues:
Copied from Alya - Task #17943: Implement batch processing: client library Closed 15/03/2024

Associated revisions

Revision 24fd1b2a - 08/03/2024 08:09 AM - Sachin Divekar
WIP: slowquery and jobmanager refs #17944 #18088

This commit has an end to end example of slowquery request. slowquery.go has Done() and Submit() functions of slowquery. example-report/main.go
is a sample application that submits a slowquery and checks for updates by calling Done.

jobmanager.go has JobManager() and other related functions. Currently, it successfully registers initializers, initblocks, slowquery processors and
correctly accesses them while processing a slowquery.

This is WIP. A lot of code will change for correctness and overall refactoring.
Revision ddff0876 - 12/03/2024 07:59 AM - Sachin Divekar
Implement Submit, Done and Abort for batches #17943 #18088 #17944

® Implement Submit, Done and Abort for batches

¢ Implement Abort for slowquery
e Write programs to use and test them

Revision d4fa2389 - 14/03/2024 10:49 PM - Sachin Divekar
Implement batch Abort and Waitoff refs #17943 #18088 #17944

Implement batch Abort and Waitoff

Refactor code for better organization and simplicity

Revision 5bad17fa - 18/03/2024 11:34 PM - Sachin Divekar
Implement object storage integration #17943 #18088 #17944

Revision f1c5b7cc - 21/03/2024 11:27 PM - Sachin Divekar

Fix a bug where blobrows unmarshalling was throwing errors #18088

History

#1 - 05/03/2024 04:08 PM - Shuvam Misra
- Copied from Task #17943: Implement batch processing: client library added

#2 - 08/03/2024 09:01 AM - Sachin Divekar
- % Done changed from 0 to 30

- Status changed from New to In Progress

Implemented JobManager() along with functions for registering initializers, initblocks and processors. Wrote a sample program to register them and
invoke JobManager().
#3 - 12/03/2024 08:04 AM - Sachin Divekar
- % Done changed from 30 to 50

#4 - 14/03/2024 10:51 PM - Sachin Divekar
- % Done changed from 50 to 80

Refactored code for better organization, and some optimization.

#5 - 18/03/2024 11:36 PM - Sachin Divekar
- % Done changed from 80 to 90

Implemented object storage integration using MinlO.

#6 - 20/03/2024 03:22 PM - Shuvam Misra
- Target version changed from Sprint 15 Mar to Sprint 29 Mar

#7 - 21/03/2024 11:27 PM - Sachin Divekar

Fix a bug where blobrows unmarshalling was not working in some cases.

#8 - 26/03/2024 07:27 PM - Shuvam Misra
- % Done changed from 90 to 100

#9 - 26/03/2024 07:30 PM - Shuvam Misra

- Status changed from In Progress to Testing

#10 - 29/04/2024 09:04 AM - Sachin Divekar

- Status changed from Testing to Closed

14/12/2025 22


http://www.tcpdf.org

